Subject: Re: Subprojects tasks

From: Martin Waitz <[email-masked]>
Date: Sun, 17 Dec 2006 12:45:46 +0100

hoi :)

On Sun, Dec 17, 2006 at 01:01:09AM +0100, Josef Weidendorfer wrote:
> IMHO it simply is added flexibility to allow a checkout to be separate from
> the .git/ directory, same as explicitly setting $GIT_DIR would do.
> So this .gitlink file is on the one hand one kind of convenience for users
> which want to keep their repository separate, yet do not want to specify
> $GIT_DIR all the time in front of git commands.
> The .gitlink file simply makes the linkage to the separate repository
> persistent.

I can see the reason for wanting to use another object database,
but HEAD and index should always be stored together with the
checked out directory.  So perhaps we just need some smart way to
search for the object database, but keep the .git directory.

-- 
Martin Waitz